void printc(char val);
void prints(short val);
void printi(int val);

union sample {
  char c;
  short s;
  int i;
};

int main()
{
  union sample s;

  printi(sizeof(union sample));
  printi(sizeof(s));

  s.c = 1;
  printc(s.c);

  s.s = 2;
  prints(s.s);

  s.i = 3;
  printi(s.i);

  return 0;
}
